Package org.apache.felix.http.base.internal.runtime.dto

## Class ServletContextDTOBuilder

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.dto.ServletContextDTOBuilder

    public final class ServletContextDTOBuilder
    extends Object

### Constructor Summary

Constructors
`ServletContextDTOBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.osgi.service.http.runtime.dto.ServletContextDTO` `build​(ServletContextHelperInfo info, javax.servlet.ServletContext context, int reason)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServletContextDTOBuilder

    public ServletContextDTOBuilder()

### Method Detail

#### build

    public static org.osgi.service.http.runtime.dto.ServletContextDTO build​(ServletContextHelperInfo info,
                                                                            javax.servlet.ServletContext context,
                                                                            int reason)